Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic.expression
Class OrExpression

    java.lang.Object
      org.apache.slide.search.basic.expression.BasicExpression
          org.apache.slide.search.basic.expression.GenericBasicExpression
              org.apache.slide.search.basic.expression.MergeExpression
                  org.apache.slide.search.basic.expression.OrExpression

All Implemented Interfaces:
  IBasicExpression

public class OrExpression
extends MergeExpression

Represents an OR expression.

Version:
  $Revision: 1.4 $

Field Summary

Fields inherited from class org.apache.slide.search.basic.expression.BasicExpression
`expressionElement, expressionFactory, resultSet`

Constructor Summary
`OrExpression(org.jdom.Element e, java.util.Collection expressionsToMerge)` Creates an AND expression according to Element e

Method Summary
`protected void` | `merge(IBasicResultSet theOtherResultSet)` Merges the given `set` into the result Set of this expression.
`java.lang.String` | `toString()` String representation for debugging purposes.

Methods inherited from class org.apache.slide.search.basic.expression.MergeExpression
`execute, toString`

Methods inherited from class org.apache.slide.search.basic.expression.BasicExpression
`getFactory, setFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrExpression

    public OrExpression(org.jdom.Element e,
                        java.util.Collection expressionsToMerge)
                 throws InvalidQueryException

  Creates an AND expression according to Element e

Parameters:
  `e` - jdom element, that describes the expression
  `expressionsToMerge` - a Collection of IBasicExpressions to merge.

Method Detail

### merge

    protected void merge(IBasicResultSet theOtherResultSet)

  Description copied from class: `MergeExpression`
  Merges the given `set` into the result Set of this expression.

  Specified by:
    `merge` in class `MergeExpression`
  Parameters:
    `theOtherResultSet` - the Set to merge.

### toString

    public java.lang.String toString()

  String representation for debugging purposes.

  Returns:
    this expression as String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD